<?php		
	//Define where you have placed the phptreeview folder.
	define("TREEVIEW_SOURCE", "../../");	 
	
	//Include the phptreeview engine.
	include(TREEVIEW_SOURCE."treeviewclasses.php");

	session_start();

	//Define identify name(s) to your treeview(s);
	$treeviewid = array("treeviewbasic");
	
	//Creates phptreeview objects.
	include(TREEVIEW_SOURCE."treeviewcreate.php");
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
	<head>
		<title>
			Basic TreeView	
		</title>
		
		<!-- some basic css properties to make it look ok -->
		<style type="text/css">
        	 A:link {color: black; text-decoration: none; } 
        	 A:active {color: black; text-decoration: none; }
             A:hover {color: black; text-decoration: none; } 
             A:visited {color: black; text-decoration: none; }        
        </style>
	</head>

<!-- some basic css properties to make it look ok -->
<body style="font-family: Verdana; font-size: 10px;">

<?php

	//You have to clean the session to be able to load the nodes again
	//(uncomment the line below during one page load). 
	//unset($_SESSION["NodesHasBeenAddedBasic"]); 

	if (isset($_SESSION["NodesHasBeenAddedBasic"]) == false)
	{
		//Do only load treeview nodes first time page is loaded.
		
		//If nodes from last session exists, remove them.
		unset($_SESSION["treeviewbasic"]->Nodes);
		
		$node = new TreeNode("1");					//Create a new node object with id "1".
		$node->SetName("Root Folder");				//Set name.
		$_SESSION["treeviewbasic"]->AddNode($node);		//Add "Root Folder" node to treeview.
		 
		$node = new TreeNode("2");
		$node->SetParentId("1");					//Set "Root Folder" node as parent.
		$node->SetName("Folder One");
		$_SESSION["treeviewbasic"]->AddNode($node);
		
		$node = new TreeNode("3");
		$node->SetParentId("1");					//Set "Root Folder" node as parent.
		$node->SetName("Folder Two");
		$_SESSION["treeviewbasic"]->AddNode($node);
		
		$node = new TreeNode("4");
		$node->SetParentId("2");					//Set "Folder One" node as parent.
		$node->SetName("Driver");
		$_SESSION["treeviewbasic"]->AddNode($node);

		$_SESSION["NodesHasBeenAddedBasic"] = true;
	}
	
	$_SESSION["treeviewbasic"]->PrintTreeView();
?>

<br/><br/><br/><br/>
<a href="index.txt" target="_blank"><b>CLICK HERE TO VIEW CODE AS TXT-FILE</b></a>

</body> 
</html>




















