<?php		
	//Define where you have placed the phptreeview folder.
	define("TREEVIEW_SOURCE", "../../");	 
	
	//Include the phptreeview engine.
	include(TREEVIEW_SOURCE."treeviewclasses.php");
	
	session_start();
	
	//Define identify name(s) to your treeview(s);
	$treeviewid = array("treeviewhttpvariables");
	
	//Creates phptreeview objects.
	include(TREEVIEW_SOURCE."treeviewcreate.php");
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
	<head>
		<title>
			Send Http Variables TreeView	
		</title>
		
		<!-- some basic css properties to make it look ok -->
		<style type="text/css">
        	 A:link {color: black; text-decoration: none; } 
        	 A:active {color: black; text-decoration: none; }
             A:hover {color: black; text-decoration: none; } 
             A:visited {color: black; text-decoration: none; }        
        </style>
	</head>

<!-- some basic css properties to make it look ok -->
<body style="font-family: Verdana; font-size: 10px;">

<?php

	//This sample code shows how to send your variables throu the http url.

	//You have to clean the session to be able to load the nodes again
	//(uncomment the line below during one page load). 
	//unset($_SESSION["NodesHasBeenAddedHttpVariables"]); 

	if (isset($_SESSION["NodesHasBeenAddedHttpVariables"]) == false)
	{
		//Do only load treeview nodes first time page is loaded.
		
		//If nodes from last session exists, remove them.
		unset($_SESSION["treeviewhttpvariables"]->Nodes);
		
		$node = new TreeNode("1");					//Create a new node object with id "1".
		$node->SetName("Root Folder");				//Set name.
		$_SESSION["treeviewhttpvariables"]->AddNode($node);		//Add "Root Folder" node to treeview.
		 
		$node = new TreeNode("2");
		$node->SetParentId("1");					//Set "Root Folder" node as parent.
		$node->SetName("Http Folder One");
		$node->SetHttpVarNames(array("varnameone")); //Define http variable names. The result will be index.php?varnameone=something
		$node->SetHttpVarValues(array("something")); //Define http variable values. The result will be index.php?varnameone=something
		$_SESSION["treeviewhttpvariables"]->AddNode($node);
		
		$node = new TreeNode("3");
		$node->SetParentId("1");					//Set "Root Folder" node as parent.
		$node->SetName("Http Folder Two");
		$node->SetHttpVarNames(array("varnametwo", "varnameagain")); //Define http variable names. The result will be index.php?varnametwo=somevalue&varnameagain=valueagain
		$node->SetHttpVarValues(array("somevalue", "valueagain"));	 //Define http variable values. The result will be index.php?varnametwo=somevalue&varnameagain=valueagain
		$_SESSION["treeviewhttpvariables"]->AddNode($node);

		$_SESSION["NodesHasBeenAddedHttpVariables"] = true;
	}

	$_SESSION["treeviewhttpvariables"]->PrintTreeView();
	
	if (isset($_GET["varnameone"]) == true)
		echo "<br/><br/>Http Folder <b>One</b> has been selected.";
	
	if (isset($_GET["varnametwo"]) == true)
		echo "<br/><br/>Http Folder <b>Two</b> has been selected.";
?>

<br/><br/><br/><br/>
<a href="index.txt" target="_blank"><b>CLICK HERE TO VIEW CODE AS TXT-FILE</b></a>


</body> 
</html>
