<?php		
	//Define where you have placed the phptreeview folder.
	define("TREEVIEW_SOURCE", "../../");	 
	
	//Include the phptreeview engine.
	include(TREEVIEW_SOURCE."treeviewclasses.php");
	
	session_start();
	
	//Define identify name(s) to your treeview(s);
	$treeviewid = array("treeviewcheckbox");
	
	//Creates phptreeview objects.
	include(TREEVIEW_SOURCE."treeviewcreate.php");
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
	<head>
		<title>
			CheckBox TreeView	
		</title>
		
		<!-- some basic css properties to make it look ok -->
		<style type="text/css">
        	 A:link {color: black; text-decoration: none; } 
        	 A:active {color: black; text-decoration: none; }
             A:hover {color: black; text-decoration: none; } 
             A:visited {color: black; text-decoration: none; }        
        </style>
	</head>

<!-- some basic css properties to make it look ok -->
<body style="font-family: Verdana; font-size: 10px;">

<?php

	//You have to clean the session to be able to load the nodes again
	//(uncomment the line below during one page load). 
	//unset($_SESSION["NodesHasBeenAddedCheckBox"]); 

	if (isset($_SESSION["NodesHasBeenAddedCheckBox"]) == false)
	{
		//Do only load treeview nodes first time page is loaded.

		//If nodes from last session exists, remove them.
		unset($_SESSION["treeviewcheckbox"]->Nodes);
		
		//Create and add nodes to the treeview.
		//Always add the root node first. 
		//The order of the other nodes doesnt matter.
		$node = new TreeNode("1");					//Create a new node object with id "1".
		$node->SetName("Root Folder");				//Set name.
		$_SESSION["treeviewcheckbox"]->AddNode($node);		//Add "Root Folder" node to treeview.
		 
		$node = new TreeNode("2");
		$node->SetParentId("1");					//Set "Root Folder" node as parent.
		$node->SetName("Color");
		$_SESSION["treeviewcheckbox"]->AddNode($node);
		
		$node = new TreeNode("3");
		$node->SetParentId("1");					//Set "Root Folder" node as parent.
		$node->SetName("Size");
		$_SESSION["treeviewcheckbox"]->AddNode($node);
		
		$node = new TreeNode("4");
		$node->SetParentId("2");					//Set "Color" node as parent.
		$node->SetName("Blue");
		$node->SetIsCheckBox(true);					//Activate checkbox.
		$_SESSION["treeviewcheckbox"]->AddNode($node);

		$node = new TreeNode("5");
		$node->SetParentId("2");					//Set "Color" node as parent.
		$node->SetName("Red");
		$node->SetIsCheckBox(true);					//Activate checkbox.
		$_SESSION["treeviewcheckbox"]->AddNode($node);

		$node = new TreeNode("6");
		$node->SetParentId("2");					//Set "Color" node as parent.
		$node->SetName("Green");
		$node->SetIsCheckBox(true);					//Activate checkbox.
		$_SESSION["treeviewcheckbox"]->AddNode($node);

		$node = new TreeNode("7");
		$node->SetParentId("3");					//Set "Size" node as parent.
		$node->SetName("Small");
		$node->SetIsCheckBox(true);					//Activate checkbox.
		$_SESSION["treeviewcheckbox"]->AddNode($node);

		$node = new TreeNode("8");
		$node->SetParentId("3");					//Set "Size" node as parent.
		$node->SetName("Medium");
		$node->SetIsCheckBox(true);					//Activate checkbox.
		$_SESSION["treeviewcheckbox"]->AddNode($node);

		$_SESSION["NodesHasBeenAddedCheckBox"] = true;
	}

	
	//Print the treeview.
	$_SESSION["treeviewcheckbox"]->PrintTreeView();

	
	//Get selected checkbox nodes and print their names.
	$CheckBoxNodes = array();
	$CheckBoxNodes = $_SESSION["treeviewcheckbox"]->GetCheckedCheckboxNodes();

	if (count($CheckBoxNodes) > 0)
		echo "<br/><br/>Name of selected checkboxes:<br/><br/>";
	
	for ($i = 0; $i < count($CheckBoxNodes); $i++)
		echo $CheckBoxNodes[$i]->GetName()."<br/>"; 	
	
?>


<br/><br/><br/><br/>
<a href="index.txt" target="_blank"><b>CLICK HERE TO VIEW CODE AS TXT-FILE</b></a>

</body> 
</html>































